ru.bitel.bgbilling.plugins.dispatch.server.dao

## Class ContactDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<Contact>
      - - ru.bitel.bgbilling.plugins.dispatch.server.dao.ContactDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ContactDao
      extends ru.bitel.common.dao.AbstractIdDao<Contact>

  DAO для работы с контактами напрямую. Вместо работы с этим DAO рекомендуется обращаться к `DispatchService`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteByType(int contactTypeId)` Удаление всех контактов данного типа
    `void` | `deleteContactByContractId(int contractId)` Удаление всех контактов данного договора
    `Contact` | `getContactFromRS(java.sql.ResultSet rs)` Возвращает контакт, полученный из переданного ResultSet'a.
    `java.util.List<Contact>` | `getContacts(java.lang.String contactsStr, int contractId)` Возвращает контакты указанных в строке кодов для данного договора
    `java.util.List<Contact>` | `getContactsForContract(int contractId)` Возвращает список всех контакты данного договора.
    `java.util.List<Contact>` | `getContactsForContract(int contractId, int contactTypeId)` Возвращает список контактов договора одного типа.
    `java.util.List<ContractContact>` | `getContracts(java.lang.String name, int typeId)` Получение списка договоров по контакту
    `protected Contact` | `getFromRS(java.sql.ResultSet rs)`
    `void` | `recycle()`
    `protected void` | `updateImpl(Contact b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactDao

          public ContactDao(java.sql.Connection con)

  - ### Method Detail

    - #### updateImpl

          protected void updateImpl(Contact b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Contact>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getFromRS

          protected Contact getFromRS(java.sql.ResultSet rs)
                               throws java.sql.SQLException,
                                      ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Contact>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getContactFromRS

          public Contact getContactFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException,
                                          ru.bitel.bgbilling.common.BGException

      Возвращает контакт, полученный из переданного ResultSet'a.
      Parameters:
        `rs` -
      Returns:
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getContactsForContract

          public java.util.List<Contact> getContactsForContract(int contractId)
                                                         throws ru.bitel.bgbilling.common.BGException

      Возвращает список всех контакты данного договора.
      Parameters:
        `contractId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContactsForContract

          public java.util.List<Contact> getContactsForContract(int contractId,
                                                                int contactTypeId)
                                                         throws ru.bitel.bgbilling.common.BGException

      Возвращает список контактов договора одного типа.
      Parameters:
        `contractId` - - код дговора
        `contactTypeId` - - код типа контакта.
      Returns:
        list - списко контактов договора
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContacts

          public java.util.List<Contact> getContacts(java.lang.String contactsStr,
                                                     int contractId)
                                              throws ru.bitel.bgbilling.common.BGException

      Возвращает контакты указанных в строке кодов для данного договора
      Parameters:
        `contactsStr` - строка, содержащая перечисление кодов контактов
        `contractId` - код договора
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteByType

          public void deleteByType(int contactTypeId)
                            throws ru.bitel.bgbilling.common.BGException

      Удаление всех контактов данного типа
      Parameters:
        `contactTypeId` - код типа контактов
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteContactByContractId

          public void deleteContactByContractId(int contractId)
                                         throws ru.bitel.bgbilling.common.BGException

      Удаление всех контактов данного договора
      Parameters:
        `contractId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContracts

          public java.util.List<ContractContact> getContracts(java.lang.String name,
                                                              int typeId)

      Получение списка договоров по контакту
      Parameters:
        `name` - Строка для поиска
        `type` - Тип контакта
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### recycle

          public void recycle()
                       throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `recycle` in class `ru.bitel.common.dao.AbstractDao<Contact>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`